<h1>NextGEN Facebook</h1><h3>Complete Meta Tags and Share Buttons for Facebook, Google, Pinterest, Twitter, WhatsApp &amp; More</h3>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>NextGEN Facebook</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>Accurate and complete meta tags for awesome looking shares on Facebook, Google, Pinterest, Twitter, etc - no matter how URLs are shared or re-shared!</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>8.46.2</td></tr>
<tr><th align="right" valign="top" nowrap>Requires At Least</th><td>WordPress 3.7</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To</th><td>WordPress 4.8.2</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>facebook, sharing buttons, social share, open graph, twitter, pinterest, google, linkedin, youtube, nextgen gallery, bbpress, buddypress</td></tr>
</table>

<h2>Description</h2>

<p><img class="readme-icon" src="https://surniaulula.github.io/nextgen-facebook/assets/icon-256x256.png"></p>

<p><strong>NextGEN Facebook uses your existing content for meta tags and Schema markup:</strong></p>

<p>There's no need to manually re-enter descriptions, titles, select image / video URLs, etc. &mdash; NextGEN Facebook reads all of your existing WordPress content automatically &mdash; and if you want, you can also fine-tune and customize just about everything. ;-)</p>

<p><strong>NextGEN Facebook creates <em>complete</em> and <em>accurate</em> meta tags and Schema markup:</strong></p>

<p>NextGEN Facebook includes Facebook / Open Graph / Twitter Cards / Pinterest Rich Pin / Google Rich Card / Schema descriptions, titles, hashtags, complete image markup, complete video markup, complete eCommerce product markup, author profile / authorship, co-authors, publisher information, aggregate ratings, reviews, event details, recipe information, and much, much more &mdash; all from your existing content.</p>

<p><strong>NextGEN Facebook includes advanced <em>quality control</em> features and options:</strong></p>

<p>NextGEN Facebook checks minimum / maximum image dimensions and aspect ratios, verifies the front-end webpage for duplicate meta tags, shows notices for missing and required images, along with validating the theme header template.</p>

<p><strong>NextGEN Facebook offers special meta tags and features for Pinterest:</strong></p>

<p>NextGEN facebook provides a specific image for the Pinterest Pin It button, excludes non-relevant images from being detected by Pinterest, and prevents conflicts between incompatible Pinterest and Facebook Open Graph meta tag values.</p>

<p><strong>NextGEN Facebook can enhance and integrate with your favorite SEO plugin!</strong></p>

<p>NextGEN Facebook specializes in providing all the meta tags and Schema markup social sites and search engines need &mdash; and you can still continue to use your favorite SEO content / keyword analysis tools!</p>

<p><strong>NextGEN Facebook is <em>super fast</em> and coded for performance:</strong></p>

<p>NextGEN Facebook makes full use of all available caching techniques (persistent / non-persistent object and disk caching), and loads only the PHP library files and object classes it needs, keeping its code small, fast, and light.</p>

<p>NextGEN Facebook is fully tested and compatible with PHP v7.x (PHP v5.3 or better required).</p>

<blockquote>

<h3>NextGEN Facebook has been replaced by WPSSO.</h3>

<p>The <a href="https://wordpress.org/plugins/wpsso/">WPSSO (Core Plugin)</a> is a fork / child of NextGEN Facebook — they're both <a href="https://wordpress.org/plugins/search/wpsso/">Free and available on WordPress.org</a>, have the same author and developer, the same solid core features and code-base, but WPSSO is distributed without the social sharing buttons and their related features.</p>

<p>Social sharing buttons are distributed separately, as optional extensions for WPSSO. You can choose not to install any social sharing buttons, use the traditional <a href="https://wordpress.org/plugins/wpsso-ssb/">WPSSO Social Sharing Buttons</a>, the latest <a href="https://wordpress.org/plugins/wpsso-rrssb/">WPSSO Ridiculously Responsive Social Sharing Buttons</a> extension, or any other 3rd party social sharing buttons plugin.</p>

<h4>WPSSO provides several useful and optional extensions:</h4>

<ul>
    <li><a href="https://wordpress.org/plugins/wpsso-am/">WPSSO Mobile App Meta</a></li>
    <li><a href="https://wordpress.org/plugins/wpsso-schema-json-ld/">WPSSO Schema JSON-LD Markup</a> (recommended for best SEO)</li>
    <li><a href="https://wordpress.org/plugins/wpsso-organization/">WPSSO Organization Markup</a></li>
    <li><a href="https://wordpress.org/plugins/wpsso-plm/">WPSSO Place / Location and Local Business Meta</a></li>
    <li><a href="https://wordpress.org/plugins/wpsso-ratings-and-reviews/">WPSSO Ratings and Reviews</a></li>
    <li><a href="https://wordpress.org/plugins/wpsso-rrssb/">WPSSO Ridiculously Responsive Social Sharing Buttons</a></li>
    <li><a href="https://wordpress.org/plugins/wpsso-ssb/">WPSSO Social Sharing Buttons</a></li>
    <li><a href="https://wordpress.org/plugins/wpsso-strip-schema-microdata/">WPSSO Strip Schema Microdata</a></li>
    <li><a href="https://wordpress.org/plugins/wpsso-tweet-a-quote/">WPSSO Tweet a Quote</a></li>
    <li><a href="https://wordpress.org/plugins/wpsso-user-locale/">WPSSO User Locale Selector</a></li>
</ul>

<h4>NextGEN Facebook and WPSSO settings are fully compatible:</h4>

<p>After enabling the "Preserve Settings on Uninstall" option on the Essential Settings page, you can deactivate and uninstall the NextGEN Facebook plugin, then install and activate <a href="https://wordpress.org/plugins/wpsso/">WPSSO (Core Plugin)</a>.</p>

</blockquote>

<h3>Quick List of Features</h3>

<h4>NextGEN Facebook Free / Standard Features</h4>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Automatically creates complete Open Graph meta tags for Facebook, Google+, Pinterest, LinkedIn, etc. in the head section of all webpages, including all custom post types, custom taxonomy / terms, user profile pages, attachment pages, and more.</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Adds Pinterest-specific Rich Pin meta tags and <a href="https://developers.google.com/search/docs/guides/intro-structured-data">Structured Data</a> Schema markup for Google Search.</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Adds author (aka Person), publisher (aka Organization), and WebSite markup using Schema JSON-LD for Google Search and its Knowledge Graph, including markup for the <a href="https://developers.google.com/search/docs/data-types/sitelinks-searchbox">Google Sitelinks Searchbox</a>.</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Adds Weibo meta tags for article creation and update dates.</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Adds Twitter Card meta tags:</p>

<ul>
<li><a href="https://dev.twitter.com/cards/types/summary-large-image">Summary Card with Large Image</a></li>
<li><a href="https://dev.twitter.com/cards/types/summary">Summary Card</a></li>
<li><a href="https://dev.twitter.com/cards/types/player">Player Card</a> is available in the Pro version (requires the video discovery modules in the Pro version).</li>
</ul>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Features customizable image dimensions for Facebook / Open Graph, Google / Schema / Pinterest and all Twitter Card types.</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Support for Automattic's <a href="https://wordpress.org/plugins/amp/">Accelerated Mobile Pages (AMP)</a> plugin.</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Finds images from several sources, including featured, attached, gallery shortcode, images from HTML tags in the content, or a custom fallback image.</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Configurable title and description maximum lengths (Open Graph, Twitter Card, SEO), including both hard and soft limits.</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Configurable title separator character (hyphen by default).</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Contextual help for <em>every</em> plugin option and <a href="https://surniaulula.com/docs/plugins/nextgen-facebook/">comprehensive online documentation</a>.</p>

<p><img class="readme-example landscape" src="https://surniaulula.github.io/nextgen-facebook/images/social/google-social-profiles-search-results.png"></p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Configurable website / business social accounts for Schema markup and Google's Knowledge Graph:</p>

<ul>
<li>Facebook Business Page URL</li>
<li>Google+ Business Page URL</li>
<li>Instagram Business Page URL</li>
<li>LinkedIn Company Page URL</li>
<li>Myspace Business Page URL</li>
<li>Pinterest Company Page URL</li>
<li>Soundcloud Business Page URL</li>
<li>Tumblr Business Page URL</li>
<li>Twitter Business @username</li>
<li>YouTube Business Channel URL</li>
</ul>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; User profile contact fields for Open Graph, Twitter Card, Schema markup, and Google's Knowledge Graph:</p>

<ul>
<li>Facebook URL</li>
<li>Google+ URL</li>
<li>Instagram URL</li>
<li>LinkedIn URL</li>
<li>Myspace URL</li>
<li>Pinterest URL</li>
<li>Skype Username</li>
<li>Tumblr URL</li>
<li>Twitter @username</li>
<li>YouTube Channel URL</li>
</ul>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Social sharing buttons for the content, excerpt, widget, shortcode, floating sidebar, and/or PHP function:</p>

<ul>
<li>Buffer</li>
<li>Email</li>
<li>Facebook</li>
<li>Google+</li>
<li>LinkedIn</li>
<li>ManageWP</li>
<li>Pinterest</li>
<li>Reddit</li>
<li>StumbleUpon</li>
<li>Tumblr</li>
<li>Twitter</li>
<li>WhatsApp (for Mobile Devices)</li>
</ul>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Include / exclude individual social share button based on the viewing device (desktop and/or mobile).</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Provides an option to hide the preview of all Pro settings and features.</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Download the Free version from <a href="https://surniaulula.github.io/nextgen-facebook/">GitHub</a> or <a href="https://wordpress.org/plugins/nextgen-facebook/">WordPress.org</a>.</p>

<h3>Quick List of Features (Continued)</h3>

<h4>NextGEN Facebook Pro / Additional Features</h4>

<p><img class="readme-example" src="https://surniaulula.github.io/nextgen-facebook/images/social/twitter-player-card-single.png"></p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Includes a Social and Search Optimization metabox for Posts, Pages, custom post types, user profiles, and term / taxonomy (category and tag) editing pages &mdash; the Social and Search Optimization metabox allows you to customize the article topic, the shared title, the Open Graph / Facebook / Rich Pin / Google Search / Twitter Card descriptions, along with the shared image and/or video.</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Fully renders content (including shortcodes) for accurate description texts and embedded video detection.</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Validates minimum / maximum image dimensions and aspect ratios.</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Support for embedded videos in content text (iframe and object HTML markup).</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Additional Facebook / Open Graph / Rich Pin meta tags and Schema markup for videos and eCommerce products.</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Twitter <a href="https://dev.twitter.com/cards/types/player">Player Card</a> meta tags for embedded videos from Facebook, Slideshare, Vimeo, Wistia, and Youtube.</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Include or exclude individual Facebook / Open Graph / Google / SEO / Twitter Card / Schema meta tag from the webpage head section.</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Allows you to customize the field names, label, and add / remove the contacts on user profile pages and Co-Authors Plus guest author profiles:</p>

<ul>
<li>AIM</li>
<li>Facebook URL</li>
<li>Google Talk</li>
<li>Google+ URL</li>
<li>Instagram URL</li>
<li>LinkedIn URL</li>
<li>MySpace URL</li>
<li>Pinterest URL</li>
<li>Skype Username</li>
<li>Tumblr URL</li>
<li>Twitter @username</li>
<li>Yahoo IM</li>
<li>YouTube Channel URL</li>
</ul>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Optional URL shortening with Bitly, Google, Ow.ly, TinyURL, or YOURLS.</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Dynamic switching of button languages based on the current WordPress locale.</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; A built-in stylesheet editor for each social share button location (content, excerpt, shortcode, widget, etc.).</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Caching of share button images and JavaScript, maximizing performance on VPS and dedicated hardware hosting platforms.</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; A selection of preset button options by location in the webpage (content, excerpt, shortcode, widget, etc.).</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Ability to include / exclude social sharing buttons by post type.</p>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Additional sharing button locations and CSS styles for:</p>

<ul>
<li><a href="https://wordpress.org/plugins/bbpress/">bbPress</a></li>
<li><a href="https://wordpress.org/plugins/buddypress/">BuddyPress</a></li>
<li><a href="https://wordpress.org/plugins/woocommerce/">WooCommerce</a></li>
</ul>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; Integrates with 3rd party plugins and services for additional image, video, eCommerce product details, SEO settings, etc. The following modules are included with the Pro version, and are automatically loaded if/when the supported plugins and/or services are required.</p>

<p><img class="readme-example" src="https://surniaulula.github.io/nextgen-facebook/images/social/pinterest-pin-ngfb-zoomed.png"></p>

<ul>
<li><strong>Integration with 3rd Party Plugins</strong>

<ul>
<li>All in One SEO Pack</li>
<li>bbPress</li>
<li>BuddyPress (including Group Forum Topics)</li>
<li>Co-Authors Plus (including Guest Authors)</li>
<li>Easy Digital Downloads</li>
<li>Gravity Forms + GravityView</li>
<li>HeadSpace2 SEO</li>
<li>MarketPress - WordPress eCommerce</li>
<li>NextGEN Gallery</li>
<li>Polylang</li>
<li>rtMedia for WordPress, BuddyPress and bbPress</li>
<li>The Events Calendar</li>
<li>The SEO Framework</li>
<li>WooCommerce (versions 1, 2, and 3)</li>
<li>WordPress REST API (version 2)</li>
<li>WP eCommerce</li>
<li>Yoast SEO (aka WordPress SEO)</li>
<li>Yotpo Social Reviews for WooCommerce</li>
</ul></li>
<li><strong>Integration with Service APIs</strong>

<ul>
<li>Bitly</li>
<li>Facebook Embedded Videos</li>
<li>Google URL Shortener</li>
<li>Gravatar (Author Image)</li>
<li>Ow.ly</li>
<li>Slideshare Presentations</li>
<li>TinyURL</li>
<li>Vimeo Videos</li>
<li>Wistia Videos</li>
<li>Your Own URL Shortener (YOURLS)</li>
<li>YouTube Videos and Playlists</li>
</ul></li>
</ul>

<p><span style="color:#ff6600">&#x0229b;</span> &nbsp; <a href="https://surniaulula.com/extend/plugins/nextgen-facebook/?utm_source=ngfb-readme-purchase">Purchase the NextGEN Facebook Pro plugin here</a> (includes a <em>No Risk 30 Day Refund Policy</em>).</p>

<h3>Social Sharing Buttons</h3>

<p><img class="readme-example" src="https://surniaulula.github.io/nextgen-facebook/images/settings/ngfb-social-sharing-buttons.png"></p>

<p>NextGEN Facebook comes with several social sharing buttons, that you can optionally include on post / page editing pages, above / below your content or excerpt, <a href="https://wordpress.org/plugins/bbpress/">bbPress</a> single pages, <a href="https://wordpress.org/plugins/buddypress/">BuddyPress</a> activity entries, CSS sidebar, widget, shortcode, and even call a function from your theme template(s). Each of the following social sharing buttons can be enabled, configured, and styled individually:</p>

<ul>
<li><strong>Email</strong></li>
<li><strong>Buffer</strong></li>
<li><strong>Facebook</strong> (Like, Send, and Share)</li>
<li><strong>Google+</strong></li>
<li><strong>LinkedIn</strong></li>
<li><strong>ManageWP</strong></li>
<li><strong>Pinterest</strong></li>
<li><strong>Reddit</strong></li>
<li><strong>StumbleUpon</strong></li>
<li><strong>Tumblr</strong> (Links, Quotes, Images, Videos)</li>
<li><strong>Twitter</strong></li>
<li><strong>WhatsApp</strong> (for Mobile Devices)</li>
</ul>

<p>The Facebook, Google+ and Twitter social sharing buttons support <em>multiple languages</em>. A default language can be chosen in the NextGEN Facebook settings, and the <a href="https://surniaulula.com/extend/plugins/nextgen-facebook/">Pro version</a> switches the social share button language with the webpage language / WordPress locale. NextGEN Facebook can also include hashtags from WordPress and NextGEN Gallery tag names in the Facebook / Open Graph / Pinterest Rich Pin descriptions, Tweet text, and other social captions.</p>

<h3>3rd Party Integration (Pro version)</h3>

<h4>Images and Videos</h4>

<p><img class="readme-example" src="https://surniaulula.github.io/nextgen-facebook/images/social/twitter-large-image-summary-single.png"></p>

<p>NextGEN Facebook detects and uses all images, associated or included in your content, including the WordPress image gallery shortcode and the <a href="https://wordpress.org/plugins/nextgen-gallery/">NextGEN Gallery</a> shortcode. WordPress Media Library images (and NextGEN Gallery images in the Pro version) are resized according to their intended consumer (Facebook, Twitter, Pinterest, Google, etc). The Pro version also detects embedded videos from Facebook, Slideshare, Vimeo, Wistia, and Youtube and includes their preview image, video title, and video description in meta tags and Schema markup. The Pro version includes complete support for <a href="https://wordpress.org/plugins/nextgen-gallery/">NextGEN Gallery</a> albums, galleries, and images (shortcodes, image tags, album / gallery preview images, and more).</p>

<h4>Enhanced SEO</h4>

<p>NextGEN Facebook Pro integrates with <a href="https://wordpress.org/plugins/all-in-one-seo-pack/">All in One SEO Pack</a>, <a href="https://wordpress.org/plugins/headspace2/">HeadSpace2 SEO</a>, <a href="https://wordpress.org/plugins/autodescription/">The SEO Framework</a>, and <a href="https://wordpress.org/plugins/wordpress-seo/">Yoast SEO</a> (aka WordPress SEO) &mdash; making sure your custom SEO settings are reflected in the Open Graph, Rich Pin, Schema Structured Data, and Twitter Card meta tags.</p>

<h4>eCommerce Products</h4>

<p>NextGEN Facebook Pro also supports <a href="https://wordpress.org/plugins/easy-digital-downloads/">Easy Digital Downloads</a>, <a href="https://wordpress.org/plugins/wordpress-ecommerce/">MarketPress - WordPress eCommerce</a>, <a href="https://wordpress.org/plugins/woocommerce/">WooCommerce</a> (versions 1, 2, and 3), and <a href="https://wordpress.org/plugins/wp-e-commerce/">WP e-Commerce</a> product pages, creating appropriate meta tags for [Facebook Products](https://developers.facebook.com/docs/payments/product/, and <a href="http://developers.pinterest.com/rich_pins/">Pinterest Rich Pins</a>, including product variations and additional / custom images.</p>

<h4>Forums and Social</h4>

<p>NextGEN Facebook Pro supports <a href="https://wordpress.org/plugins/bbpress/">bbPress</a>, <a href="https://wordpress.org/plugins/buddypress/">BuddyPress</a> (see the <a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/buddypress-integration/">BuddyPress Integration Notes</a>), and <a href="https://wordpress.org/plugins/buddypress-media/">rtMedia for WordPress, BuddyPress and bbPress</a>, making sure your meta tags reflect the page content, including appropriate titles, descriptions, images, author information, etc. Social sharing buttons can also be added to <a href="https://wordpress.org/plugins/bbpress/">bbPress</a> single template pages and <a href="https://wordpress.org/plugins/buddypress/">BuddyPress</a> activities.</p>

<h3>Professional Support</h3>

<p>NextGEN Facebook support and development is on-going. You can review the <a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/">FAQ</a> and <a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/">Notes</a> pages for additional setup information. If you have any suggestions or comments, post them to the <a href="https://wordpress.org/support/plugin/nextgen-facebook">WordPress support forum</a> or the <a href="http://nextgen-facebook.support.surniaulula.com/">Pro version support website</a>.</p>

<p>Follow Surnia Ulula on <a href="https://plus.google.com/+SurniaUlula/?rel=author">Google+</a>, <a href="https://www.facebook.com/SurniaUlulaCom">Facebook</a>, <a href="https://twitter.com/surniaululacom">Twitter</a>, and <a href="http://www.youtube.com/user/SurniaUlulaCom">YouTube</a>.</p>


<h2>Installation</h2>

<h3>Install and Uninstall</h3>

<ul>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/installation/install-the-plugin/">Install the NGFB Plugin (Free and Pro version)</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/installation/integration/">Integration Notes</a>

<ul>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/installation/integration/buddypress-integration/">BuddyPress Integration</a></li>
</ul></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/installation/uninstall-the-plugin/">Uninstall the NGFB Plugin</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/installation/performance-tuning/">Performance Tuning</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/installation/debugging-and-problem-solving/">Debugging and Problem Solving</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/installation/developer-special-buy-one-get-one-free/">Developer Special - Buy one, Get one Free</a></li>
</ul>

<h3>Plugin Setup</h3>

<ul>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/installation/a-setup-guide/">A Setup Guide for NextGEN Facebook</a></li>
</ul>


<h2>Frequently Asked Questions</h2>

<h3>Frequently Asked Questions</h3>

<ul>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/can-i-use-the-pro-version-on-multiple-websites/">Can I use the Pro version on multiple websites?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/does-linkedin-read-the-open-graph-meta-tags/">Does LinkedIn read the Open Graph meta tags?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/doesnt-an-seo-plugin-cover-that/">Doesn't an SEO plugin cover that?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/how-can-i-exclude-certain-parts-of-the-content-text/">How can I exclude / ignore certain parts of the content text?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/how-can-i-fix-a-err_too_many_redirects-error/">How can I fix a ERR_TOO_MANY_REDIRECTS error?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/how-can-i-fix-an-http-error-when-uploading-images/">How can I fix an "HTTP error" when uploading images?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/how-can-i-have-smaller-dimensions-for-the-default-image/">How can I have smaller dimensions for the default image?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/how-can-i-see-what-the-facebook-crawler-sees/">How can I see what the Facebook crawler sees?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/how-can-i-share-a-single-nextgen-gallery-image/">How can I share a single NextGEN Gallery image?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/how-do-i-attach-an-image-without-showing-it-on-the-webpage/">How do I attach an image without showing it on the webpage?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/how-do-i-fix-my-themes-front-page-pagination/">How do I fix my theme's front page pagination?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-install-the-ngfb-pro-version/">How do I install the NextGEN Facebook Pro version?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/how-do-i-remove-duplicate-meta-tags/">How do I remove duplicate meta tags?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/how-does-ngfb-find-detect-select-images/">How does NextGEN Facebook find / detect / select images?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/how-does-ngfb-find-detect-select-videos/">How does NextGEN Facebook find / detect / select videos?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/social-sharing-buttons/">Social Sharing Buttons</a>

<ul>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/social-sharing-buttons/can-i-share-a-single-image-on-a-webpage/">Can I share a single image on a webpage?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/social-sharing-buttons/can-i-use-other-social-sharing-buttons/">Can I use other social sharing buttons?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/social-sharing-buttons/how-do-i-turn-on-social-sharing-buttons-for-a-page/">How do I turn on Social Sharing Buttons for a page?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/social-sharing-buttons/why-are-the-buttons-showing-the-wrong-language/">Why are the buttons showing the wrong language?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/social-sharing-buttons/why-does-the-facebook-like-button-flyout-get-clipped/">Why does the Facebook "Like" button flyout get clipped?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/social-sharing-buttons/why-doesnt-the-pinterest-button-show/">Why doesn't the Pinterest button show?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/social-sharing-buttons/why-doesnt-the-twitter-count-increase/">Why doesn't the Twitter count increase?</a></li>
</ul></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/w3c-says-there-is-no-attribute-property/">W3C says "there is no attribute 'property'"</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/what-about-google-search-and-google-plus/">What about Google Search and Google Plus?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/what-features-of-nextgen-gallery-are-supported/">What features of NextGEN Gallery are supported?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/what-is-the-difference-between-ngfb-and-wpsso/">What is the difference between NextGEN Facebook and WPSSO?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/what-is-the-difference-between-the-free-and-pro-versions/">What is the difference between the Free and Pro versions?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/why-arent-pins-from-my-website-posting-rich/">Why aren't Pins from my website posting Rich?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/why-does-facebook-play-videos-instead-of-linking-them/">Why does Facebook play videos instead of linking them?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/why-does-facebook-show-the-wrong-image-text/">Why does Facebook show the wrong image / text?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/why-does-google-structured-data-testing-tool-show-errors/">Why does Google Structured Data Testing Tool show errors?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/why-does-ngfb-ignore-some-img-html-tags/">Why does the plugin ignore some &lt;img/&gt; HTML tags?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/why-dont-my-twitter-cards-show-on-twitter/">Why don't my Twitter Cards show on Twitter?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/why-is-the-open-graph-title-the-same-for-every-webpage/">Why is the Open Graph title the same for every webpage?</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/faqs/why-is-the-page-blank-or-its-components-misaligned/">Why is the page blank or its components misaligned?</a></li>
</ul>


<h2>Other Notes</h2>

<h3>Other Notes</h3>
<h3>Additional Documentation</h3>

<ul>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/modules/">About NextGEN Facebook Pro Integration Modules</a>

<ul>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/modules/author-gravatar/">Author Gravatar</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/modules/easy-digital-downloads/">Easy Digital Downloads</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/modules/facebook-slideshare-vimeo-wistia-youtube-video-apis/">Facebook, Slideshare, Vimeo, Wistia, YouTube Video APIs</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/modules/headspace2-seo/">HeadSpace2 SEO</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/modules/woocommerce/">WooCommerce</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/modules/wordpress-rest-api-v2/">WordPress REST API version 2</a></li>
</ul></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/contact-information/">Contact Information and Feeds</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/developer/">Developer Resources</a>

<ul>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/developer/constants/">Constants</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/developer/filters/">Filters</a>

<ul>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/developer/filters/examples/">Filter Examples</a>

<ul>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/developer/filters/examples/add-schema-aggregaterating-meta-tags/">Add Schema aggregateRating Meta Tags</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/developer/filters/examples/detect-youtube-url-links-as-videos/">Detect YouTube URL Links as Videos</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/developer/filters/examples/modify-shortcode-attributes-url/">Modify Shortcode Attributes (URL)</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/developer/filters/examples/modify-the-articletag-keywords-names/">Modify the "article:tag" Keywords / Names</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/developer/filters/examples/modify-the-default-topics-list/">Modify the Default Article Topics List</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/developer/filters/examples/modify-the-home-page-title-for-facebook-open-graph/">Modify the Home Page Title for Facebook / Open Graph</a></li>
</ul></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/developer/filters/by-category/">Filters by Category</a>

<ul>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/developer/filters/by-category/head/">Head Filters</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/developer/filters/by-category/media/">Media Filters</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/developer/filters/by-category/open-graph/">Open Graph Filters</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/developer/filters/by-category/twitter-card/">Twitter Card Filters</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/developer/filters/by-category/webpage/">Webpage Filters</a></li>
</ul></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/developer/filters/by-name/">Filters by Name</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/developer/filters/other/">Other Filters</a></li>
</ul></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/developer/sharing-buttons-function/">Sharing Buttons Function</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/developer/the-mod-variable/">The $mod Variable</a></li>
</ul></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/inline-variables/">Inline Variables</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/multisite-network-support/">Multisite / Network Support</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/ngfb-shortcode/">NextGEN Facebook Shortcode for Sharing Buttons</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/styling-social-buttons/">Styling Social Buttons</a></li>
<li><a href="https://surniaulula.com/docs/plugins/nextgen-facebook/notes/working-with-image-attachments/">Working with Image Attachments</a></li>
</ul>

